## GtkAppChooserDialog GtkAppChooserDialog — An application chooser dialog |

## Functions

GtkWidget * | gtk_app_chooser_dialog_new ()
GtkWidget * | gtk_app_chooser_dialog_new_for_content_type ()
GtkWidget * | gtk_app_chooser_dialog_get_widget ()
void | gtk_app_chooser_dialog_set_heading ()
const gchar * | gtk_app_chooser_dialog_get_heading ()

## Properties

GFile * | gfile | Read / Write / Construct Only
gchar * | heading | Read / Write

## Types and Values

struct | GtkAppChooserDialog
struct | GtkAppChooserDialogClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GtkAppChooserDialog

## Implemented Interfaces

GtkAppChooserDialog implements AtkImplementorIface, GtkBuildable and GtkAppChooser.

## Includes

    #include <gtk/gtk.h>

## Description

GtkAppChooserDialog shows a GtkAppChooserWidget inside a GtkDialog.

Note that GtkAppChooserDialog does not have any interesting methods of its own. Instead, you should get the embedded GtkAppChooserWidget using `gtk_app_chooser_dialog_get_widget()` and call its methods if the generic GtkAppChooser interface is not sufficient for your needs.

To set the heading that is shown above the GtkAppChooserWidget, use `gtk_app_chooser_dialog_set_heading()`.

## Functions

### gtk_app_chooser_dialog_new ()

    GtkWidget *
    gtk_app_chooser_dialog_new (GtkWindow *parent,
                                GtkDialogFlags flags,
                                GFile *file);

Creates a new GtkAppChooserDialog for the provided GFile, to allow the user to select an application for it.

#### Parameters

parent | a GtkWindow, or `NULL`. | [allow-none]
flags | flags for this dialog |
file | a GFile |

#### Returns

a newly created GtkAppChooserDialog

Since: 3.0

### gtk_app_chooser_dialog_new_for_content_type ()

    GtkWidget *
    gtk_app_chooser_dialog_new_for_content_type
                                   (GtkWindow *parent,
                                    GtkDialogFlags flags,
                                    const gchar *content_type);

Creates a new GtkAppChooserDialog for the provided content type, to allow the user to select an application for it.

#### Parameters

parent | a GtkWindow, or `NULL`. | [allow-none]
flags | flags for this dialog |
content_type | a content type string |

#### Returns

a newly created GtkAppChooserDialog

Since: 3.0

### gtk_app_chooser_dialog_get_widget ()

    GtkWidget *
    gtk_app_chooser_dialog_get_widget (GtkAppChooserDialog *self);

Returns the GtkAppChooserWidget of this dialog.

#### Parameters

self | a GtkAppChooserDialog |

#### Returns

the GtkAppChooserWidget of `self` .

[transfer none]

Since: 3.0

### gtk_app_chooser_dialog_set_heading ()

    void
    gtk_app_chooser_dialog_set_heading (GtkAppChooserDialog *self,
                                        const gchar *heading);

Sets the text to display at the top of the dialog. If the heading is not set, the dialog displays a default text.

#### Parameters

self | a GtkAppChooserDialog |
heading | a string containing Pango markup |

### gtk_app_chooser_dialog_get_heading ()

    const gchar *
    gtk_app_chooser_dialog_get_heading (GtkAppChooserDialog *self);

Returns the text to display at the top of the dialog.

#### Parameters

self | a GtkAppChooserDialog |

#### Returns

the text to display at the top of the dialog, or `NULL`, in which case a default text is displayed.

[nullable]

## Types and Values

### struct GtkAppChooserDialog

    struct GtkAppChooserDialog;

### struct GtkAppChooserDialogClass

    struct GtkAppChooserDialogClass {
      GtkDialogClass parent_class;
    };

#### Members

## Property Details

### The `“gfile”` property

      “gfile”                    GFile *

The GFile used by the GtkAppChooserDialog. The dialog's GtkAppChooserWidget content type will be guessed from the file, if present.

Flags: Read / Write / Construct Only

### The `“heading”` property

      “heading”                  gchar *

The text to show at the top of the dialog. The string may contain Pango markup.

Flags: Read / Write

Default value: NULL